﻿# define F_CPU 400000UL

#include <avr/io.h>
#include <avr/interrupt.h>

// Routinen
#include "4-Digit-Schiebe.h"
#include "transistor.h"

// IR Routinen:
#define ir_rec PD2
#define ir_addr 'F'
#include "rc5.h"


int main(void)
{
	uint8_t tran_data_fo;
	uint8_t 1A[4]="";
	
	tran_init(void);
	digit_init(void);
	tran_out('');
	
	
	
   while(1)
   {
		if (-1 == rc5.flip)
		{
			digit_out(1A[4]);			
		}
		else
		{      
			uint8_t code = rc5.code;
			uint8_t addr = rc5.addr;
			rc5.flip = -1;
			
			if (addr==ir_addr) // Falls Adresse passt
			{
				switch (code) // Befehl Auswerten
				{
				case 'A': // Buchstaben sind Platzhalter für Befehle
						if (tran_data_fo & (1<<0)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<0)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<0)) // Bit high setzen
						}						
						break;
						
				case 'B': 
						if (tran_data_fo& (1<<1)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<1)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<1)) // Bit high setzen
						}						
						break;
				
				case 'C': 
						if (tran_data_fo& (1<<2)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<2)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<2)) // Bit high setzen
						}						
						break;
						
				case 'D': 
						if (tran_data_fo& (1<<3)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<3)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<3)) // Bit high setzen
						}						
						break;
				
				case 'E': 
						if (tran_data_fo& (1<<4)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<4)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<4)) // Bit high setzen
						}						
						break;
						
				case 'F': 
						if (tran_data_fo& (1<<5)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<5)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<5)) // Bit high setzen
						}						
						break;
				
				case 'G': 
						if (tran_data_fo& (1<<6)) // Wenn bit gesetzt dann
						{
							tran_data_fo &=~ ((1<<6)) // Bit low setzen
						}
						else
						{
							tran_data_fo &=~((0<<6)) // Bit high setzen
						}						
						break;
						
				tran_out(tran_data_fo);

				}
			}
		      
		}
   }		
}