﻿#include "transistor.h"
#include <avr/io.h>

int tran_init(void)
{

	tran_schiebe_ddr &= ~( (1<<clock_tran) | (1<<data_tran) | (1<<strobe_tran) )
	
	return 0;
}

int tran_out(unsigned char tran_data)  // Transistor-Schieberegister-Ansteuerung
{
	unsigned char bits;
	
	for (bits = 8; bits > 0; bits--) // Zähl bis 8
        {
            tran_schiebe_port &=~ ((0<<data_tran)); // Datenleitung low
            if (tran_data & 0x80)  // Fals Bit high
            {
                tran_schiebe_port &=~ ((1<<data_tran)); // dann Datenleitung high
            }

            tran_data <<= 1; // Schieben
			
            tran_schiebe_port &=~ ((0<<clock_tran)); // Clocksignal
            tran_schiebe_port &=~ ((1<<clock_tran));
		}	
		
	return 0;
}